#!/usr/bin/env python
# coding:utf-8

from .plugin import PluginAbstract, ModList
from .samba4ad import Samba4AD
from .kadmin import KAdmin

msg0101 = 'nothing to do for: \'{0}\''


class GosaPassword(PluginAbstract, Samba4AD, KAdmin, metaclass=ModList):

	def __init__(self, postcmd):

		#super(GosaAccount, self).__init__(postcmd)
		super().__init__(postcmd)
		super(PluginAbstract, self).__init__(postcmd)
		super(Samba4AD, self).__init__(postcmd)


	def modify(self):

		self.pwsyncKrbPrinc()
		self.modifyADpassword()


	def lock(self):

		self.lockKrbPrinc()
		self.lockADpassword()


	def unlock(self):

		self.unlockKrbPrinc()
		self.unlockADpassword()


